<mat-list-item class="root-element"
  *ngIf="currentUrl == '/' || currentUrl == '/dashboard' || (currentSys == 'ds' || currentSys == 'reports') && dsVisible">
  <button (click)="onDsSelected()" mat-flat-button>
    <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']"
      style="margin-bottom: 5px">next_week
    </mat-icon>
    <span class="sidenav-list main-list"
      [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Determination</span>
    <mat-icon *ngIf="!dsExpanded">expand_more</mat-icon>
    <mat-icon *ngIf="dsExpanded">expand_less</mat-icon>
  </button>
</mat-list-item>
<span *ngFor="let item of detItems">
  <mat-list-item class="sub-element"
    *ngIf="dsExpanded && !navCollapsed && item.navigationItemID == 7">
    <button routerLink="{{item.url}}" routerLinkActive="router-link-active"
      [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
      <mat-icon color="primary">{{item.iconName}}</mat-icon>
      <span class="sidenav-list">{{item.navigationItemName}}</span>
    </button>
  </mat-list-item>
  <!-- <mat-list-item class="sub-element" *ngIf="dsExpanded && !navCollapsed">
      <button [routerLink]="['/ds/auto-assignment']" routerLinkActive="router-link-active"
        [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
        <mat-icon color="primary">library_books</mat-icon>
        <span class="sidenav-list">Auto Assignment</span>
      </button>
    </mat-list-item> -->
  <mat-list-item class="sub-element"
    *ngIf="dsExpanded && !navCollapsed && item.navigationItemID == 8">
    <button (click)="onMyWorklistSelected()" mat-flat-button>
      <mat-icon color="primary">{{item.iconName}}</mat-icon>
      <span class="sidenav-list main-list">{{item.navigationItemName}}</span>
      <mat-icon *ngIf="!myWorklistExpanded">expand_more</mat-icon>
      <mat-icon *ngIf="myWorklistExpanded">expand_less</mat-icon>
    </button>
  </mat-list-item>

  <!-- This block is for remaining Navigation Items for Determination -->
  <mat-list-item class="sub-element"
    *ngIf="dsExpanded && !navCollapsed && item.navigationItemID !== 7 && item.navigationItemID !== 8">
    <button routerLink="{{item.url}}" routerLinkActive="router-link-active"
      [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
      <mat-icon color="primary">{{item.iconName}}</mat-icon>
      <span class="sidenav-list">{{item.navigationItemName}}</span>
    </button>
  </mat-list-item>
</span>
<mat-list-item class="sub-sub-element" *ngIf="dsExpanded && myWorklistExpanded && !navCollapsed">
  <button (click)="onMyWorklistPendingSelected()" [routerLink]="['/ds/my-worklist']"
    routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" mat-flat-button
    *ngIf="myWorklistPendingSelected">
    <mat-icon color="primary">assignment_late</mat-icon>
    <span class="sidenav-list">Pending</span>
  </button>
  <button (click)="onMyWorklistPendingSelected()" [routerLink]="['/ds/my-worklist']" mat-flat-button
    *ngIf="!myWorklistPendingSelected">
    <mat-icon color="primary">assignment_late</mat-icon>
    <span class="sidenav-list">Pending</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="dsExpanded && myWorklistExpanded && !navCollapsed">
  <button (click)="onMyWorklistFollowUpSelected()" [routerLink]="['/ds/my-worklist']"
    routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" mat-flat-button
    *ngIf="myWorklistFollowUpSelected">
    <mat-icon color="primary">question_answer</mat-icon>
    <span class="sidenav-list">Quality Assurance (QA)</span>
  </button>
  <button (click)="onMyWorklistFollowUpSelected()" [routerLink]="['/ds/my-worklist']" mat-flat-button
    *ngIf="!myWorklistFollowUpSelected">
    <mat-icon color="primary">question_answer</mat-icon>
    <span class="sidenav-list">Quality Assurance (QA)</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="dsExpanded && myWorklistExpanded && !navCollapsed">
  <button (click)="onMyWorklistCompletedSelected()" [routerLink]="['/ds/my-worklist']"
    routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" mat-flat-button
    *ngIf="myWorklistCompletedSelected">
    <mat-icon color="primary">assignment_turned_in</mat-icon>
    <span class="sidenav-list">Completed</span>
  </button>
  <button (click)="onMyWorklistCompletedSelected()" [routerLink]="['/ds/my-worklist']" mat-flat-button
    *ngIf="!myWorklistCompletedSelected">
    <mat-icon color="primary">assignment_turned_in</mat-icon>
    <span class="sidenav-list">Completed</span>
  </button>
</mat-list-item>
<mat-list-item class="root-element" *ngIf="isPendingReview && currentSys === 'ds'">
  <button (click)="onPendingReviewSelected()" mat-flat-button>
    <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
      assignment_late
    </mat-icon>
    <span class="sidenav-list main-list" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">
      Pending Review
    </span>
    <mat-icon *ngIf="!pendingReviewExpanded">expand_more</mat-icon>
    <mat-icon *ngIf="pendingReviewExpanded">expand_less</mat-icon>
  </button>
</mat-list-item>
<mat-list-item class="sub-element" *ngIf="pendingReviewExpanded && !navCollapsed">
  <button (click)="onApplicationReviewSelected()" mat-flat-button>
    <mat-icon color="primary">rate_review</mat-icon>
    <span class="sidenav-list main-list">Application Review</span>
    <mat-icon *ngIf="!applicationReviewExpanded">expand_more</mat-icon>
    <mat-icon *ngIf="applicationReviewExpanded">expand_less</mat-icon>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="pendingReviewExpanded && applicationReviewExpanded && !navCollapsed">
  <button [routerLink]="['/ds/match-sources', determinationApplicationId]" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
    <mat-icon color="primary">collections_bookmark</mat-icon>
    <span class="sidenav-list">Match Sources</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="pendingReviewExpanded && applicationReviewExpanded && !navCollapsed">
  <button [routerLink]="['/ds/application', determinationApplicationId]" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
    <mat-icon color="primary">picture_as_pdf</mat-icon>
    <span class="sidenav-list">Application</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="pendingReviewExpanded && applicationReviewExpanded && !navCollapsed">
  <button [routerLink]="['/ds/client-case-folder', determinationApplicationId]" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
    <mat-icon color="primary">folder</mat-icon>
    <span class="sidenav-list">Client Case Folder</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="pendingReviewExpanded && applicationReviewExpanded && !navCollapsed">
  <!-- <button [routerLink]="['/ds/outcome', determinationApplicationId]" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact: true}" mat-flat-button [disabled]="IsOutcomeDisabled">
    <mat-icon color="primary">exit_to_app</mat-icon>
    <span class="sidenav-list">Outcome</span>
  </button> -->
  <button [routerLink]="['/ds/outcome', determinationApplicationId]" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
    <mat-icon color="primary">exit_to_app</mat-icon>
    <span class="sidenav-list">Outcome</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-element" *ngIf="pendingReviewExpanded && !navCollapsed">
  <button (click)="onHousingDeterminationSelected()" mat-flat-button [disabled]="IsHousingDeterminationDisabled">
    <mat-icon color="primary">home</mat-icon>
    <span class="sidenav-list  main-list">Housing Determination</span>
    <mat-icon *ngIf="!housingDeterminationExpanded">expand_more</mat-icon>
    <mat-icon *ngIf="housingDeterminationExpanded">expand_less</mat-icon>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="pendingReviewExpanded && housingDeterminationExpanded && !navCollapsed">
  <button [routerLink]="['/ds/clinical-review', determinationApplicationId]" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact: true}" mat-flat-button [disabled]="IsClinicalReviewDisabled">
    <mat-icon color="primary">local_hospital</mat-icon>
    <span class="sidenav-list">Clinical Review</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="pendingReviewExpanded && housingDeterminationExpanded && !navCollapsed">
  <button [routerLink]="['/ds/homeless-review', determinationApplicationId]" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact: true}" mat-flat-button [disabled]="IsHomelessReviewDisabled">
    <mat-icon color="primary">store</mat-icon>
    <span class="sidenav-list">Homeless Review</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="pendingReviewExpanded && housingDeterminationExpanded && !navCollapsed">
  <button [routerLink]="['/ds/medicaid-prioritization', determinationApplicationId]"
    routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" mat-flat-button
    [disabled]="IsMedicaidPrioritizationDisabled">
    <mat-icon color="primary">note_add</mat-icon>
    <span class="sidenav-list">Medicaid Prioritization</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="pendingReviewExpanded && housingDeterminationExpanded && !navCollapsed">
  <button [routerLink]="['/ds/vulnerability-assessment', determinationApplicationId]"
    routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" mat-flat-button
    [disabled]="IsVulnerabilityAssessmentDisabled">
    <mat-icon color="primary">assessment</mat-icon>
    <span class="sidenav-list">Vulnerability Assessment</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-sub-element" *ngIf="pendingReviewExpanded && housingDeterminationExpanded && !navCollapsed">
  <button [routerLink]="['/ds/determination-summary', determinationApplicationId]" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact: true}" mat-flat-button [disabled]="IsDeterminationSummaryDisabled">
    <mat-icon color="primary">view_comfy</mat-icon>
    <span class="sidenav-list">Summary</span>
  </button>
</mat-list-item>
<mat-list-item class="sub-element" *ngIf="pendingReviewExpanded && !navCollapsed">
  <button [routerLink]="['/ds/sign-off-follow-up', determinationApplicationId]" routerLinkActive="router-link-active"
    [routerLinkActiveOptions]="{exact: true}" mat-flat-button [disabled]="IsSignOffFollowUpDisabled">
    <mat-icon color="primary">check_circle</mat-icon>
    <span class="sidenav-list">Sign Off</span>
  </button>
</mat-list-item>
